> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saalal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Disputes



## OpenAPI

````yaml get /disputes
openapi: 3.1.0
info:
  title: ALAL APIs
  version: 1.0.0
servers:
  - url: https://api.sandbox.saalal.com/v1
security: []
tags:
  - name: Cards
  - name: Transactions
  - name: CardUsers
  - name: Disputes
paths:
  /disputes:
    get:
      tags:
        - Disputes
      summary: List Disputes
      parameters:
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
        - name: page
          in: query
          schema:
            type: integer
          example: '1'
        - name: per_page
          in: query
          schema:
            type: integer
          example: '20'
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: string
                example: nginx
            Content-Type:
              schema:
                type: string
                example: application/json
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Connection:
              schema:
                type: string
                example: keep-alive
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Cache-Control:
              schema:
                type: string
                example: no-cache, private
            Date:
              schema:
                type: string
                example: Mon, 07 Aug 2023 16:35:18 GMT
            X-RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            X-RateLimit-Remaining:
              schema:
                type: integer
                example: '58'
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-XSS-Protection:
              schema:
                type: string
                example: 1; mode=block
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            Content-Encoding:
              schema:
                type: string
                example: gzip
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: OK
                  statusCode:
                    type: integer
                    example: 200
                  data:
                    type: array
                    items:
                      type: object
                      xml:
                        name: item
                      properties:
                        reference:
                          type: string
                          example: 962b954d-bbd3-4b03-8a70-80fb595e9049
                        transaction_reference:
                          type: string
                          example: 962b954d-bbd3-4b03-8a70
                        status:
                          type: string
                          example: submitted
                        reason:
                          type: string
                          enum:
                            - duplicate
                            - not_received
                            - fraudulent
                            - product_not_as_described
                            - service_not_as_described
                            - canceled
                            - other
                        explanation:
                          type: string
                          example: No real explanation even now
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      per_page:
                        type: integer
                        example: 20
                      to:
                        type: integer
                        example: 17
                      total:
                        type: integer
                        example: 17
              example:
                message: OK
                statusCode: 200
                data:
                  - transaction_slug: 962b954d-bbd3-4b03-8a70-80fb595e9049
                    slug: submitted
                    status: submitted
                    reason: duplicate
                    explanation: No real explanation even now
                meta:
                  current_page: 1
                  from: 1
                  last_page: 1
                  per_page: 20
                  to: 1
                  total: 1
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````